from pathlib import Path
import bpy


DATA_TYPE_ITEMS = [
    ("NodeTree", "Node Group", "", "NODETREE", 0),
    ("Material", "Material", "", "MATERIAL", 1),
    ("Object", "Object", "", "OBJECT_DATA", 2),
    ("Action", "Action", "", "ACTION", 3),
    ("Collection", "Collection", "", "OUTLINER_OB_GROUP_INSTANCE", 4),
    ("File", "File", "", "FILE", 5)
]

DATA_TYPE_GEO_ITEMS = [DATA_TYPE_ITEMS[0], DATA_TYPE_ITEMS[2]]
DATA_TYPE_SHADING_ITEMS = [DATA_TYPE_ITEMS[0], DATA_TYPE_ITEMS[1]]

CATALOG_ITEMS = {}
DATA_TYPES = [i[0] for i in DATA_TYPE_ITEMS]
ICONS = {identifier: icon for identifier, name, description, icon, number in DATA_TYPE_ITEMS}

ASSETLIB_FILENAME = "blender_assets.libs.json"
MODULE_DIR = Path(__file__).parent
RESOURCES_DIR = MODULE_DIR / 'resources'

PLUGINS_DIR = MODULE_DIR / 'plugins'
PLUGINS = {}
PLUGINS_ITEMS = [('NONE', 'None', '', 0)]

LIB_DIR = MODULE_DIR / 'libs'
LIB_ITEMS = []

SCRIPTS_DIR = MODULE_DIR / 'scripts'

PREVIEW_ASSETS_SCRIPT = MODULE_DIR / 'common' / 'preview_assets.py'

#ADD_ASSET_DICT = {}

